function [J, Mdx]= payoff(p,q,u,par)
%PAYOFF - function returning value of the payoff functional and
%corresponding terminal conditions for the adjoint equations.

J=p+par.k1*trapz(u.ti,u.ui)-par.k2*q/p;

Mdx=[1+par.k2*q/p^2; -par.k2/p];

end

